import { zeroAddress as e } from "../../constants/protocol.constants.mjs";
import { constructStealthAddressStructure as t } from "./addresses.mjs";
import { UserKeys as n } from "../../data-structures/crypto-keys/keys.mjs";
import { Utxo as r } from "../../data-structures/utxo/Utxo.mjs";
import "../../data-structures/crypto-keys/index.mjs";
//#region libs/shared/common/src/functions/utils/getRecipientInfoFromUserKeys.ts
var i = (t) => {
	let i = t.getShieldedPrivateKey(), a = n.getEncryptionKeyPair(i).publicKey, o = new r({
		amount: 0n,
		erc20TokenAddress: e,
		nullifyingKey: i,
		spendingPublicKey: t.getSpendingKeyPair().pubSpendingBJJPoint,
		isNewStyle: !0
	}), { H0: s } = o;
	if (!s) throw Error("H0 is not set");
	let c = o.getStealthAddress(), l = n.getH1FromH0(s, i);
	return `${c},${s[0]},${s[1]},${l[1]},${a}`;
}, a = (e) => t(i(e));
//#endregion
export { i as getRecipientInfoFromUserKeys, a as getStealthAddressStructureFromUserKeys };
